# [Superkube](https://imperavi.com/superkube/)

Superkube is a free CSS/SCSS framework that has a lot of ready-made modules, modifiers, settings and variables HTML of website or web-interface.

<a href="https://imperavi.com/superkube/">
    <img src="https://raw.githubusercontent.com/imperavi/superkube/master/superkube-logo.png" alt="Superkube SCSS Framework" style="max-width:100%" width="400">
</a>

----

## Documentation

See the description of Superkube and all its modules in the [documentation](https://imperavi.com/superkube/docs/).

- [How to use](https://imperavi.com/superkube/docs/getting-started/how-to-use)


## Install

### CSS library

Superkube is a hybrid framework. So it can work as a CSS library without customization and build. This may be good for small projects where you do not need something complicated.

You can use the CSS file directly from [jsDelivr](https://www.jsdelivr.com/package/npm/superkube):

```
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/superkube@latest/dist/superkube.min.css">
```

Or you can download the latest Superkube from [Github](https://github.com/imperavi/superkube).


### SCSS framework

The maximum power of Superkube is unlocked if you use it as a SCSS framework, customize, extend and build your own version to fit your project.

You can install Superkube via [npm](https://www.npmjs.com/package/superkube)

```sh
npm install superkube
```

Or download/clone from [Github](https://github.com/imperavi/superkube).


## Features

Superkube has many features and surprising uses. This is what is on the surface:

1. **Compactness**. Superkube is 2-3x smaller than similar frameworks.
2. **Systemic**. Built with design system in mind.
3. **Modularity**. Ideologically Superkube implies modular and reusable HTML and CSS code.
4. **Grid CSS**. Inside Superkube are flexible and reliable grid building tools.
5. **Dark mode**. It has built-in mechanisms for building a dark theme.

## Javascript Agnostic

Superkube contains only SCSS and does not contain Javascript. Because Superkube is independent of the implementation, you build the environment you need.

## Browser Support

Superkube is compatible with latest versions of:

- Chrome
- Safari
- Edge
- Firefox
- Opera

## License

Superkube Framework is licensed under [the MIT license](https://github.com/imperavi/superkube/blob/master/LICENSE). Superkube is absolutely free for personal or commercial use.